orm

## Class NotaDAO

- java.lang.Object
- - orm.NotaDAO

    public class NotaDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`NotaDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Nota` `createNota()`
`static boolean` `delete(Nota nota)`
`static boolean` `deleteAndDissociate(Nota nota)`
`static boolean` `deleteAndDissociate(Nota nota, org.orm.PersistentSession session)`
`static boolean` `evict(Nota nota)`
`static Nota` `getNotaByORMID(int id_pk)`
`static Nota` `getNotaByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Nota` `getNotaByORMID(org.orm.PersistentSession session, int id_pk)`
`static Nota` `getNotaByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateNotaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateNotaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateNotaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateNotaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Nota[]` `listNotaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Nota[]` `listNotaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Nota[]` `listNotaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Nota[]` `listNotaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Nota` `loadNotaByORMID(int id_pk)`
`static Nota` `loadNotaByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Nota` `loadNotaByORMID(org.orm.PersistentSession session, int id_pk)`
`static Nota` `loadNotaByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Nota` `loadNotaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Nota` `loadNotaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Nota` `loadNotaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Nota` `loadNotaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryNota(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryNota(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryNota(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryNota(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Nota nota)`
`static boolean` `save(Nota nota)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotaDAO

    public NotaDAO()

### Method Detail

#### loadNotaByORMID

    public static Nota loadNotaByORMID(int id_pk)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getNotaByORMID

    public static Nota getNotaByORMID(int id_pk)
                               throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByORMID

    public static Nota loadNotaByORMID(int id_pk,
                                       org.hibernate.LockMode lockMode)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getNotaByORMID

    public static Nota getNotaByORMID(int id_pk,
                                      org.hibernate.LockMode lockMode)
                               throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByORMID

    public static Nota loadNotaByORMID(org.orm.PersistentSession session,
                                       int id_pk)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getNotaByORMID

    public static Nota getNotaByORMID(org.orm.PersistentSession session,
                                      int id_pk)
                               throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByORMID

    public static Nota loadNotaByORMID(org.orm.PersistentSession session,
                                       int id_pk,
                                       org.hibernate.LockMode lockMode)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getNotaByORMID

    public static Nota getNotaByORMID(org.orm.PersistentSession session,
                                      int id_pk,
                                      org.hibernate.LockMode lockMode)
                               throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryNota

    public static java.util.List queryNota(java.lang.String condition,
                                           java.lang.String orderBy)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryNota

    public static java.util.List queryNota(java.lang.String condition,
                                           java.lang.String orderBy,
                                           org.hibernate.LockMode lockMode)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listNotaByQuery

    public static Nota[] listNotaByQuery(java.lang.String condition,
                                         java.lang.String orderBy)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listNotaByQuery

    public static Nota[] listNotaByQuery(java.lang.String condition,
                                         java.lang.String orderBy,
                                         org.hibernate.LockMode lockMode)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryNota

    public static java.util.List queryNota(org.orm.PersistentSession session,
                                           java.lang.String condition,
                                           java.lang.String orderBy)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryNota

    public static java.util.List queryNota(org.orm.PersistentSession session,
                                           java.lang.String condition,
                                           java.lang.String orderBy,
                                           org.hibernate.LockMode lockMode)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listNotaByQuery

    public static Nota[] listNotaByQuery(org.orm.PersistentSession session,
                                         java.lang.String condition,
                                         java.lang.String orderBy)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listNotaByQuery

    public static Nota[] listNotaByQuery(org.orm.PersistentSession session,
                                         java.lang.String condition,
                                         java.lang.String orderBy,
                                         org.hibernate.LockMode lockMode)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByQuery

    public static Nota loadNotaByQuery(java.lang.String condition,
                                       java.lang.String orderBy)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByQuery

    public static Nota loadNotaByQuery(java.lang.String condition,
                                       java.lang.String orderBy,
                                       org.hibernate.LockMode lockMode)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByQuery

    public static Nota loadNotaByQuery(org.orm.PersistentSession session,
                                       java.lang.String condition,
                                       java.lang.String orderBy)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadNotaByQuery

    public static Nota loadNotaByQuery(org.orm.PersistentSession session,
                                       java.lang.String condition,
                                       java.lang.String orderBy,
                                       org.hibernate.LockMode lockMode)
                                throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateNotaByQuery

    public static java.util.Iterator iterateNotaByQuery(java.lang.String condition,
                                                        java.lang.String orderBy)
                                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateNotaByQuery

    public static java.util.Iterator iterateNotaByQuery(java.lang.String condition,
                                                        java.lang.String orderBy,
                                                        org.hibernate.LockMode lockMode)
                                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateNotaByQuery

    public static java.util.Iterator iterateNotaByQuery(org.orm.PersistentSession session,
                                                        java.lang.String condition,
                                                        java.lang.String orderBy)
                                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateNotaByQuery

    public static java.util.Iterator iterateNotaByQuery(org.orm.PersistentSession session,
                                                        java.lang.String condition,
                                                        java.lang.String orderBy,
                                                        org.hibernate.LockMode lockMode)
                                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createNota

    public static Nota createNota()

#### save

    public static boolean save(Nota nota)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Nota nota)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Nota nota)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Nota nota,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Nota nota)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Nota nota)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`